Skip to content

Create Integration

POST
/integrations/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/integrations/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"integration_type": "hugging_face",
"name": "string",
"integration_details": {
"hugging_face_token": "string",
"github_token": "string",
"wandb_username": "string",
"wandb_key": "string",
"project_name": "string"
}
}'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
integration_type
required

The type of integration

string
Allowed values: hugging_face github weights_and_biases
name
required

A label to identify this integration

string
integration_details
required

Integration-specific credentials. The required fields vary by integration_type: - hugging_face: hugging_face_token - github: github_token - weights_and_biases: wandb_username, wandb_key, project_name

object
hugging_face_token

Hugging Face user access token (required for hugging_face)

string
github_token

GitHub personal access token (required for github)

string
wandb_username

Weights & Biases account username (required for weights_and_biases)

string
wandb_key

Weights & Biases API key (required for weights_and_biases)

string
project_name

W&B project where runs will be logged (required for weights_and_biases)

string

Successfully created a new integration

Media typeapplication/json
object
code
integer
message
string
data
object
id
integer
name
string
integration_type
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
project_id
integer
integration_details
object
key
additional properties
any
errors
object

Example

{
"code": 201,
"message": "Created Successfully",
"data": {
"id": 421,
"name": "fakeff",
"integration_type": "hugging_face",
"created_by": {
"id": 3573,
"name": "Nipun",
"email": "nipun.arora@e2enetworks.com",
"username": "nipun.arora@e2enetworks.com"
},
"created_at": "2024-11-14T07:20:43.119393Z",
"updated_at": "2024-11-14T07:20:43.119459Z",
"project_id": 124,
"integration_details": {}
},
"errors": {}
}